/*******************************************
*  SPI minimal library public definitions  *
********************************************/

#pragma once

#define	SPI_DDR		DDRB
#define	SPI_PORT	PORTB
#define SPI_SS		2
#define SPI_MOSI	3
#define SPI_MISO	4
#define SPI_SCK		5

#define SPI_DDR_DISPLAY		SPI_DDR
#define SPI_PORT_DISPLAY	SPI_PORT
#define SPI_BIT_DISPLAY		SPI_SS
#define SPI_DDR_MATRIX		DDRD
#define SPI_PORT_MATRIX		PORTD
#define SPI_BIT_MATRIX		7

void spi_init(unsigned char master);
uint8_t spi_exch(uint8_t output);
void spi_initcs(volatile unsigned char *ddr,unsigned char bit);
void spi_select(volatile unsigned char *port,unsigned char bit);
void spi_unselect(volatile unsigned char *port,unsigned char bit);
